function PoissonSolver1D()
    h = 0.1; % mesh size
    x = 2:h:8; % mesh
    kappa = [1.e+6 0];
    g = [-1 0];
    
    A = StiffMat1D(x, @Conductivity, kappa);
    b = LoadVec1D(x, @Source, kappa, g);
    U = A\b;
    
    plot(x,U)
    xlabel('x')
    ylabel('Temperature')